Bug 502522 - rpm-warm-cache is crashing yum
rpm-warm-cache is crashing yum
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
rawhide
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-25 14:08 EDT by David Sandberg
Modified: 2014-01-21 18:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-26 00:25:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Sandberg 2009-05-25 14:08:28 EDT
Description of problem: after installing of yum-warm-cache comes the Error

"Traceback (most recent call last):
  File "/usr/share/PackageKit/helpers/yum/yumBackend.py", line 2461, in _check_init
    self.yumbase.repos.doSetup()
  File "/usr/lib/python2.6/site-packages/yum/repos.py", line 79, in doSetup
    self.ayum.plugins.run('postreposetup')
  File "/usr/lib/python2.6/site-packages/yum/plugins.py", line 179, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/rpm-warm-cache.py", line 32, in postreposetup_hook
    cmd = commands[0]
TypeError: 'NoneType' object is unsubscriptable"

If I uninstall the package, the error is lost. If I install it again the Error appears new.


Version-Release number of selected component (if applicable):

yum-3.2.22-4.fc11.noarch  

other yum comonents and plugins are:

yum-plugin-tmprepo-1.1.21-2.fc11.noarch
anaconda-yum-plugins-1.0-4.fc11.noarch
yum-plugin-protect-packages-1.1.21-2.fc11.noarch
yum-presto-0.4.5-4.fc11.noarch
yum-3.2.22-4.fc11.noarch
yum-plugin-protectbase-1.1.21-2.fc11.noarch
yum-NetworkManager-dispatcher-1.1.21-2.fc11.noarch
yum-plugin-rpm-warm-cache-1.1.21-2.fc11.noarch
yum-plugin-kmdl-0.8-11.fc10.noarch
yum-plugin-refresh-updatesd-1.1.21-2.fc11.noarch
PackageKit-yum-plugin-0.4.6-8.fc11.i586
yum-plugin-versionlock-1.1.21-2.fc11.noarch
yum-plugin-fastestmirror-1.1.21-2.fc11.noarch
PackageKit-yum-0.4.6-8.fc11.i586
yum-plugin-remove-with-leaves-1.1.21-2.fc11.noarch
yum-plugin-upgrade-helper-1.1.21-2.fc11.noarch
yum-metadata-parser-1.1.2-12.fc11.i586
yum-utils-1.1.21-2.fc11.noarch
yum-updatesd-0.9-2.fc11.noarch
yum-plugin-allowdowngrade-1.1.21-2.fc11.noarch
yum-plugin-keys-1.1.21-2.fc11.noarch
yumex-2.0.5-6.fc11.noarch


How reproducible:
always

Steps to Reproduce:
1. install yum-plugin-rpm-warm-cache
2. de- and reinstall the package
3. yum update
  
Actual results:


Expected results:


Additional info: Others in the German forum have no Mistake with this install
Comment 1 James Antill 2009-05-26 00:25:16 EDT
Get the latest yum-plugin-rpm-warm-cache.
Comment 2 David Sandberg 2009-05-26 15:13:04 EDT
Where can I found the latest rpm, there is no in the repository. It is possible that this reffers to the Bug 474531 in FC10?

PackageKit version:

PackageKit-0.4.6.-8.fc11.i586

Goli
Comment 3 David Sandberg 2009-05-26 17:33:27 EDT
The Error comes from PackeKit Update plugin. if it ask for updateinformations, then appears the Message:

Traceback (most recent call last):
  File "/usr/share/PackageKit/helpers/yum/yumBackend.py", line 2461, in _check_init
    self.yumbase.repos.doSetup()
  File "/usr/lib/python2.6/site-packages/yum/repos.py", line 79, in doSetup
    self.ayum.plugins.run('postreposetup')
  File "/usr/lib/python2.6/site-packages/yum/plugins.py", line 179, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/rpm-warm-cache.py", line 32, in postreposetup_hook
    cmd = commands[0]
TypeError: 'NoneType' object is unsubscriptable

Goli
Comment 4 David Sandberg 2009-05-29 21:03:01 EDT
(In reply to comment #1)
> Get the latest yum-plugin-rpm-warm-cache.  

in updates-testing
Comment 5 Sinan H 2009-06-12 08:52:09 EDT
Still present in Fedora 11.

Note You need to log in before you can comment on or make changes to this bug.